CVE-2018-1000035

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

A heap-based buffer overflow exists in Info-Zip UnZip version <= 6.00 in the processing of password-protected archives that allows an attacker to perform a denial of service or to possibly achieve code execution.

References

https://lists.debian.org/debian-lts-announce/2020/01/msg00026.html

https://sec-consult.com/en/blog/advisories/multiple-vulnerabilities-in-infozip-unzip/index.html

https://security.gentoo.org/glsa/202003-58

Details

Source: MITRE

Published: 2018-02-09

Updated: 2020-08-24

Type: CWE-787

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:unzip_project:unzip:*:*:*:*:*:*:*:* versions up to 6.00 (inclusive)

Tenable Plugins

View all (21 total)

IDNameProductFamilySeverity
146632Amazon Linux 2 : unzip (ALAS-2021-1604)NessusAmazon Linux Local Security Checks
high
144337Ubuntu 16.04 LTS / 18.04 LTS : unzip vulnerabilities (USN-4672-1)NessusUbuntu Local Security Checks
high
136098Photon OS 3.0: Unzip PHSA-2020-3.0-0083NessusPhotonOS Local Security Checks
high
135624EulerOS Virtualization 3.0.2.2 : unzip (EulerOS-SA-2020-1462)NessusHuawei Local Security Checks
high
134966GLSA-202003-58 : UnZip: User-assisted execution of arbitrary codeNessusGentoo Local Security Checks
high
133320Debian DLA-2082-1 : unzip security updateNessusDebian Local Security Checks
high
132212EulerOS 2.0 SP3 : unzip (EulerOS-SA-2019-2677)NessusHuawei Local Security Checks
high
131583EulerOS 2.0 SP2 : unzip (EulerOS-SA-2019-2429)NessusHuawei Local Security Checks
high
128952EulerOS Virtualization for ARM 64 3.0.2.0 : unzip (EulerOS-SA-2019-1949)NessusHuawei Local Security Checks
high
128803EulerOS 2.0 SP5 : unzip (EulerOS-SA-2019-1880)NessusHuawei Local Security Checks
high
123214openSUSE Security Update : unzip (openSUSE-2019-509)NessusSuSE Local Security Checks
high
122576Slackware 14.0 / 14.1 / 14.2 / current : infozip (SSA:2019-060-01)NessusSlackware Local Security Checks
high
121952Photon OS 2.0: Unzip PHSA-2018-2.0-0052NessusPhotonOS Local Security Checks
high
120030SUSE SLED15 / SLES15 Security Update : unzip (SUSE-SU-2018:1883-1)NessusSuSE Local Security Checks
high
117981openSUSE Security Update : unzip (openSUSE-2018-1124)NessusSuSE Local Security Checks
high
117902SUSE SLED12 / SLES12 Security Update : unzip (SUSE-SU-2018:2978-1)NessusSuSE Local Security Checks
high
111306Photon OS 2.0 : unzip (PhotonOS-PHSA-2018-2.0-0052) (deprecated)NessusPhotonOS Local Security Checks
high
111272Photon OS 1.0 : unzip (PhotonOS-PHSA-2018-1.0-0144) (deprecated)NessusPhotonOS Local Security Checks
high
110965openSUSE Security Update : unzip (openSUSE-2018-709)NessusSuSE Local Security Checks
high
107173Fedora 27 : unzip (2018-ab3d1d78f3)NessusFedora Local Security Checks
high
106898SUSE SLES11 Security Update : unzip (SUSE-SU-2018:0465-1)NessusSuSE Local Security Checks
high